For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
  • ElevenAPI
        • POSTCreate PVC voice
        • POSTUpdate PVC voice
        • POSTTrain PVC voice
        • POSTAdd samples to PVC voice
        • POSTUpdate PVC voice sample
        • DELDelete PVC voice sample
        • GETGet PVC voice sample audio
        • GETGet PVC voice sample waveform
        • GETGet PVC speaker separation status
        • POSTStart speaker separation
        • GETGet separated speaker audio
        • POSTRequest PVC manual verification
        • GETGet PVC verification captcha
        • POSTVerify PVC verification captcha
      • GETList voices
      • GETGet voice
      • DELDelete voice
      • POSTEdit voice
      • POSTList similar voices
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAPIVoicesPVC

Get PVC speaker separation status

GET
/v1/voices/pvc/:voice_id/samples/:sample_id/speakers
GET
/v1/voices/pvc/:voice_id/samples/:sample_id/speakers
$curl https://api.elevenlabs.io/v1/voices/pvc/voice_id/samples/sample_id/speakers
1{
2 "voice_id": "DCwhRBWXzGAHq8TQ4Fs18",
3 "sample_id": "DCwhRBWXzGAHq8TQ4Fs18",
4 "status": "not_started"
5}
Retrieve the status of the speaker separation process and the list of detected speakers if complete.
Was this page helpful?
Previous

Start speaker separation

Next
Built with

Path parameters

voice_idstringRequired

Voice ID to be used, you can use https://api.elevenlabs.io/v1/voices to list all the available voices.

sample_idstringRequired
Sample ID to be used

Headers

xi-api-keystringOptional

Response

Successful Response
voice_idstring
The ID of the voice.
sample_idstring
The ID of the sample.
statusenum
The status of the speaker separation.
Allowed values:
speakersmap from strings to objects or null
The speakers of the sample.
selected_speaker_idslist of strings or null
The IDs of the selected speakers.

Errors

422
Unprocessable Entity Error